Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514189 - User unable to login to SSUI when role is EvmRole-user_self_service or EvmRole-user_limited_self_service
Summary: User unable to login to SSUI when role is EvmRole-user_self_service or EvmRol...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.9.0
Assignee: Allen W
QA Contact: Antonin Pagac
URL:
Whiteboard: ssui:rbac
Depends On: 1507029
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 19:00 UTC by Satoe Imaishi
Modified: 2018-03-06 15:18 UTC (History)
13 users (show)

Fixed In Version: 5.9.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1507029
Environment:
Last Closed: 2018-03-06 15:18:40 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-11-29 20:23:36 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:
https://github.com/ManageIQ/manageiq/commit/4dcdf3b666d5cf7d4efa5e697626c0a7bf10b4a8

commit 4dcdf3b666d5cf7d4efa5e697626c0a7bf10b4a8
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Tue Nov 14 11:12:40 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Nov 17 08:43:22 2017 -0500

    Merge pull request #16329 from AllenBW/bz/#1507029-update-sui-roles-product-features
    
    Standalone ServiceUI product features require, updating affected roles
    (cherry picked from commit e1b3984004e49d540bb43b477f5e0d196fe8eaaa)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1514189

 db/fixtures/miq_user_roles.yml | 85 ++++++++++++++++++++++++++++++++++++------
 1 file changed, 73 insertions(+), 12 deletions(-)

Comment 3 Antonin Pagac 2018-01-03 11:08:48 UTC
Verified with 5.9.0.14.

Able to login to ssui with user in user_self_service group and also with user in user_limited_self_service group.


Note You need to log in before you can comment on or make changes to this bug.